Bug 247226 - X server wedges temporarily whenever I try to resize emacs window
X server wedges temporarily whenever I try to resize emacs window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 01:16 EDT by Jonathan Kamens
Modified: 2014-06-18 05:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-07-06 01:16:40 EDT
I have metacity-2.19.21-1.fc8, emacs-22.1-1.fc8, and other devel packages (yum
update against devel says there's nothing to update).

When I click on one of the edges of my emacs window and try to resize it, the
window does not appear to resize, the cursor locks in the resize shape, and
suddenly I can't give mouse or keyboard input to any windows, including the
emacs window.  However, the X server isn't completely locked up.  Windows that
are active continue to draw, and I can get things to go back to normal by
switching to a different VT with Ctrl-Alt-F1 and then back with Alt-F7 or Alt-F8
(depending on where the X server is running).  When I do this, I discover that
the mouse has returned to its normal shape and the Emacs window has, in fact,
resized.

The same problem occurs if I right-click on the Emacs window's title bar -- I
can no longer select or give input to any windows, and I have to switch to
another VT and back to regain control.

This appears to only happen with Emacs windows.
Comment 1 Jonathan Kamens 2007-09-03 22:23:29 EDT
This problem went away for a while in devel but has returned recently -- I'm
seeing it again with current devel packages (current as of today).
Comment 2 Søren Sandmann Pedersen 2007-09-04 13:52:36 EDT
Can you confirm that this goes away if you turn off accessibility?

If so, it's almost certainly

   http://bugzilla.gnome.org/show_bug.cgi?id=392889

that you are seeing. (That GNOME bug changed from being a flamewar about
raise-window in emacs to a metacity lock-up).
Comment 3 Jonathan Kamens 2007-09-04 14:29:37 EDT
I don't think I have accessibility turned on, but if you tell me how to check, 
I'll do that.
I opened the keyboard accessibility control panel and the enable checkbox isn't 
checked there.  Is there somewhere else I should check?
Comment 4 Søren Sandmann Pedersen 2007-09-05 13:56:19 EDT
In System/Preferences/Personal/"Assistive Technology Preferences", do you have
"Enable assistive technologies" checked?

If you do, try turning it off and log out/log in.
Comment 5 Jonathan Kamens 2007-09-05 22:46:07 EDT
Yes, disabling that checkbox seems to make the problem go away.
Comment 6 Bug Zapper 2008-04-04 09:21:16 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Tom Dimiduk 2008-04-21 16:31:37 EDT
I have that bug on rawhide (FC preview), and disabling assistive technologies
makes the problem go away for me, so the bug is still there in rawhide.  
Comment 8 Bug Zapper 2008-05-13 23:03:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 18:42:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 12:25:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.